Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.subsystem
Class SubsystemClient

    java.lang.Object
      com.sshtools.j2ssh.subsystem.SubsystemClient

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  SftpSubsystemClient

public abstract class SubsystemClient
extends java.lang.Object
implements java.lang.Runnable

DOCUMENT ME!

Field Summary
`protected SubsystemMessageStore` | `messageStore` DOCUMENT ME!
`protected SessionChannelClient` | `session` DOCUMENT ME!

Constructor Summary
`SubsystemClient(java.lang.String name)` Creates a new SubsystemClient object.
`SubsystemClient(java.lang.String name, SubsystemMessageStore messageStore)` Creates a new SubsystemClient object.

Method Summary
`java.lang.String` | `getName()` DOCUMENT ME!
`SessionChannelClient` | `getSessionChannel()` DOCUMENT ME!
`boolean` | `isClosed()` DOCUMENT ME!
`protected abstract boolean` | `onStart()` DOCUMENT ME!
`void` | `run()` DOCUMENT ME!
`protected void` | `sendMessage(SubsystemMessage msg)` DOCUMENT ME!
`void` | `setSessionChannel(SessionChannelClient session)` DOCUMENT ME!
`boolean` | `start()` DOCUMENT ME!
`void` | `stop()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messageStore

    protected SubsystemMessageStore messageStore

  DOCUMENT ME!

### session

    protected SessionChannelClient session

  DOCUMENT ME!

Constructor Detail

### SubsystemClient

    public SubsystemClient(java.lang.String name)

  Creates a new SubsystemClient object.

Parameters:
  `name` - DOCUMENT ME!

### SubsystemClient

    public SubsystemClient(java.lang.String name,
                           SubsystemMessageStore messageStore)

  Creates a new SubsystemClient object.

Parameters:
  `name` - DOCUMENT ME!
  `messageStore` - DOCUMENT ME!

Method Detail

### isClosed

    public boolean isClosed()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setSessionChannel

    public void setSessionChannel(SessionChannelClient session)

  DOCUMENT ME!

  Parameters:
    `session` - DOCUMENT ME!

### getSessionChannel

    public SessionChannelClient getSessionChannel()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### start

    public boolean start()
                  throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onStart

    protected abstract boolean onStart()
                                throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### sendMessage

    protected void sendMessage(SubsystemMessage msg)
                        throws InvalidMessageException,
                               java.io.IOException

  DOCUMENT ME!

  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### run

    public void run()

  DOCUMENT ME!

  Specified by:
    `run` in interface `java.lang.Runnable`

### stop

    public void stop()
              throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD